#ifndef __LISTES_H__
#define __LISTES_H__

// Définition des types
typedef long int Data ;
typedef int bool ;
struct zlink {
	Data elt ;
	struct zlink * next ;
};
typedef struct zlink link, * list ;

// Abstract Data Type
bool is_empty_list (list) ;
list create_empty_list (void) ;
list add (Data, list);
Data head(list) ;
list tail(list) ;

// Memory management
list free_link (list l) ;
void free_list (list l) ;
list copy_list (list l) ;

// Toolbox
void print_list(list) ;

#endif
