//
//  queues.h
//  
//
//  Created by Bac Alexandra on 25/10/2021.
//

#ifndef queues_h
#define queues_h

#include <stdio.h>
#include "lists.h"

typedef int bool ;
//type Data défini dans les listes
typedef struct zqueue {
	list in, out ; } queue ;

// out x -> x -> x -> ... -> x in
//     ------- list ----------

// Abstract data type

void qcreate_empty_queue (queue *) ;
bool qis_empty_queue (queue *) ;

void qpush_back (Data, queue *) ;
Data qpop_front (queue *) ;
Data qhead(queue *) ;

// Memory management

void qfree_queue (queue *) ;

// I/O

void qprint_queue (queue) ;

#endif /* queues_h */
